diff --git a/cnab/helm/charts/grafana/templates/_pod.tpl b/cnab/helm/charts/grafana/templates/_pod.tpl
index eea8156..5bd3823 100644
--- a/cnab/helm/charts/grafana/templates/_pod.tpl
+++ b/cnab/helm/charts/grafana/templates/_pod.tpl
@@ -22,7 +22,7 @@ initContainers:
 {{- if ( and .Values.persistence.enabled .Values.initChownData.enabled ) }}
   - name: init-chown-data
     {{- if .Values.initChownData.image.sha }}
-    image: "{{ .Values.initChownData.image.repository }}:{{ .Values.initChownData.image.tag }}@sha256:{{ .Values.initChownData.image.sha }}"
+    image: "{{ .Values.initChownData.image.repository }}@{{ .Values.initChownData.image.sha }}"
     {{- else }}
     image: "{{ .Values.initChownData.image.repository }}:{{ .Values.initChownData.image.tag }}"
     {{- end }}
@@ -43,7 +43,7 @@ initContainers:
 {{- if .Values.dashboards }}
   - name: download-dashboards
     {{- if .Values.downloadDashboardsImage.sha }}
-    image: "{{ .Values.downloadDashboardsImage.repository }}:{{ .Values.downloadDashboardsImage.tag }}@sha256:{{ .Values.downloadDashboardsImage.sha }}"
+    image: "{{ .Values.downloadDashboardsImage.repository }}@{{ .Values.downloadDashboardsImage.sha }}"
     {{- else }}
     image: "{{ .Values.downloadDashboardsImage.repository }}:{{ .Values.downloadDashboardsImage.tag }}"
     {{- end }}
@@ -80,7 +80,7 @@ initContainers:
 {{- if and .Values.sidecar.datasources.enabled .Values.sidecar.datasources.initDatasources }}
   - name: {{ template "grafana.name" . }}-init-sc-datasources
     {{- if .Values.sidecar.image.sha }}
-    image: "{{ .Values.sidecar.image.repository }}:{{ .Values.sidecar.image.tag }}@sha256:{{ .Values.sidecar.image.sha }}"
+    image: "{{ .Values.sidecar.image.repository }}@{{ .Values.sidecar.image.sha }}"
     {{- else }}
     image: "{{ .Values.sidecar.image.repository }}:{{ .Values.sidecar.image.tag }}"
     {{- end }}
@@ -123,7 +123,7 @@ initContainers:
 {{- if .Values.sidecar.notifiers.enabled }}
   - name: {{ template "grafana.name" . }}-sc-notifiers
     {{- if .Values.sidecar.image.sha }}
-    image: "{{ .Values.sidecar.image.repository }}:{{ .Values.sidecar.image.tag }}@sha256:{{ .Values.sidecar.image.sha }}"
+    image: "{{ .Values.sidecar.image.repository }}@{{ .Values.sidecar.image.sha }}"
     {{- else }}
     image: "{{ .Values.sidecar.image.repository }}:{{ .Values.sidecar.image.tag }}"
     {{- end }}
@@ -175,7 +175,7 @@ containers:
 {{- if .Values.sidecar.dashboards.enabled }}
   - name: {{ template "grafana.name" . }}-sc-dashboard
     {{- if .Values.sidecar.image.sha }}
-    image: "{{ .Values.sidecar.image.repository }}:{{ .Values.sidecar.image.tag }}@sha256:{{ .Values.sidecar.image.sha }}"
+    image: "{{ .Values.sidecar.image.repository }}@{{ .Values.sidecar.image.sha }}"
     {{- else }}
     image: "{{ .Values.sidecar.image.repository }}:{{ .Values.sidecar.image.tag }}"
     {{- end }}
@@ -229,7 +229,7 @@ containers:
 {{- if .Values.sidecar.datasources.enabled }}
   - name: {{ template "grafana.name" . }}-sc-datasources
     {{- if .Values.sidecar.image.sha }}
-    image: "{{ .Values.sidecar.image.repository }}:{{ .Values.sidecar.image.tag }}@sha256:{{ .Values.sidecar.image.sha }}"
+    image: "{{ .Values.sidecar.image.repository }}@{{ .Values.sidecar.image.sha }}"
     {{- else }}
     image: "{{ .Values.sidecar.image.repository }}:{{ .Values.sidecar.image.tag }}"
     {{- end }}
@@ -291,7 +291,7 @@ containers:
 {{- end}}
   - name: {{ .Chart.Name }}
     {{- if .Values.image.sha }}
-    image: "{{ .Values.image.repository }}:{{ .Values.image.tag }}@sha256:{{ .Values.image.sha }}"
+    image: "{{ .Values.image.repository }}@{{ .Values.image.sha }}"
     {{- else }}
     image: "{{ .Values.image.repository }}:{{ .Values.image.tag }}"
     {{- end }}
